## org.gjt.sp.jedit
Class Java14

    java.lang.Object
      org.gjt.sp.jedit.Java14

public class Java14
extends java.lang.Object

This file must be compiled with a JDK 1.4 or higher javac. If you are using an older Java version and wish to compile from source, you can safely leave this file out.

Since:
  jEdit 4.0pre4
Version:
  $Id: Java14.java,v 1.36 2004/07/12 19:25:07 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`Java14()`

Method Summary
`static void` `dragAndDropCallback(JEditTextArea textArea, java.awt.event.InputEvent evt, boolean copy)` Called by the text area via reflection to initiate a text drag and drop operation using the JDK 1.4 API.
`static void` `init()`
`static void` `initBufferSwitcher(EditPane pane, BufferSwitcher switcher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java14

    public Java14()

Method Detail

### init

    public static void init()

### dragAndDropCallback

    public static void dragAndDropCallback(JEditTextArea textArea,
                                           java.awt.event.InputEvent evt,
                                           boolean copy)

  Called by the text area via reflection to initiate a text drag and drop operation using the JDK 1.4 API.

  Since:
    jEdit 4.2pre5

### initBufferSwitcher

    public static void initBufferSwitcher(EditPane pane,
                                          BufferSwitcher switcher)